Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleappsadapter
Class OracleappsSession

    com.stc.connector.oracleappsadapter.OracleappsSession

public class OracleappsSession

Session hosts a Connection interface

Constructor Summary
`OracleappsSession(javax.sql.DataSource dataSource, java.lang.String userName, java.lang.String password)` OracleSession constructor.

Method Summary
`void` | `checkConnection(java.sql.SQLException sqlException)` Connection status check if there is a SQL exception.
`boolean` | `isNativeDriver()` Check to see if it is a native driver
`void` | `open()` Opens the session.
`void` | `setDBMS(int dbmsType)` Sets the DBMS type.

Constructor Detail

### OracleappsSession

    public OracleappsSession(javax.sql.DataSource dataSource,
                             java.lang.String userName,
                             java.lang.String password)

  OracleSession constructor.

  Parameters:
    `dataSource` - a DataSource instance used to create a connection.
    `userName` - user name for login.
    `password` - password for login.

Method Detail

### checkConnection

    public void checkConnection(java.sql.SQLException sqlException)
                         throws java.sql.SQLException

  Connection status check if there is a SQL exception.

  Parameters:
    `sqlException` - a SQLException instance.
  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### isNativeDriver

    public boolean isNativeDriver()

  Check to see if it is a native driver

  Parameters:
    None.
  Returns:
    true if it is a native driver; otherwise, false.
  Throws:
    None.

### open

    public void open()
              throws java.sql.SQLException

  Opens the session.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setDBMS

    public void setDBMS(int dbmsType)
                 throws java.sql.SQLException

  Sets the DBMS type.

  Parameters:
    `dbmsType` - the database vendor type.
  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - when there is any SQL problem.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 by SeeBeyond Technology Corporation. All Rights Reserved.